<template>

<layout-test>

  <section class="pb-5">
    <div class="d-md-flex flex-md-equal w-100 p-3">
      <b-col md class="p-3">
        <div class="card border-0">
          <img src="https://source.unsplash.com/yWwob8kwOCk/650x650" class="rounded img-fluid" alt="">
          <div class="card border-0">
            <div class="card-body mt-n13 bg-white mr-6 rounded-right p-4">
              <h2 class="mb-3">Heading 1</h2>
              <p>Donec sed odio dui. Etiam porta sem malesuada magna mollis euismod.</p>
              <b-button pill variant="outline-primary" href="#">View details &raquo;</b-button>
            </div>
          </div>
        </div>
      </b-col>
      <b-col md class="p-3">
        <div class="card border-0">
          <img src="https://source.unsplash.com/wawEfYdpkag/650x650" class="rounded img-fluid" alt="">
          <div class="card border-0">
            <div class="card-body mt-n13 bg-white mr-6 rounded-right p-4">
            <h2 class="mb-3">Heading 2</h2>
            <p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit.</p>
            <b-button pill variant="outline-primary" href="#">View details &raquo;</b-button>
            </div>
          </div>
        </div>
      </b-col>
      <b-col md class="p-3">
        <div class="card border-0">
          <img src="https://source.unsplash.com/eHD8Y1Znfpk/650x650" class="rounded img-fluid" alt="">
          <div class="card border-0">
            <div class="card-body mt-n13 bg-white mr-6 rounded-right p-4">
            <h2 class="mb-3">Heading 3</h2>
            <p>Donec sed odio dui. Cras justo odio, dapibus ac facilisis in, egestas eget quam.</p>
            <b-button pill variant="outline-primary" href="#">View details &raquo;</b-button>
            </div>
          </div>
        </div>
      </b-col>
    </div>

    <b-container class="py-3">
      <b-row>      
        <b-col md>
          <div class="card border-0">
            <a href="#">
              <img src="https://source.unsplash.com/yWwob8kwOCk/650x650" class="rounded img-fluid" alt="">
            </a>
            <div class="card border-0">
              <div class="card-body mt-n13 bg-white mr-6 rounded-right p-4">
                <a href="#"><h2 class="mb-3">Heading 1</h2></a>
                <p>Donec sed odio dui. Etiam porta sem malesuada magna mollis euismod.</p>
                <b-button pill variant="outline-primary" href="#">View details &raquo;</b-button>
              </div>
            </div>
          </div>
        </b-col>
        <b-col md>
          <div class="card border-0">
            <a href="#">
              <img src="https://source.unsplash.com/wawEfYdpkag/650x650" class="rounded img-fluid" alt="">
            </a>
            <div class="card border-0">
              <div class="card-body mt-n13 bg-white mr-6 rounded-right p-4">
              <a href="#"><h2 class="mb-3">Heading 2</h2></a>
              <p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit.</p>
              <b-button pill variant="outline-primary" href="#">View details &raquo;</b-button>
              </div>
            </div>
          </div>
        </b-col>
        <b-col md>
          <div class="card border-0">
            <a href="#">
              <img src="https://source.unsplash.com/eHD8Y1Znfpk/650x650" class="rounded img-fluid" alt="">
            </a>
            <div class="card border-0">
              <div class="card-body mt-n13 bg-white mr-6 rounded-right p-4">
              <a href="#"><h2 class="mb-3">Heading 3</h2></a>
              <p>Donec sed odio dui. Cras justo odio, dapibus ac facilisis in, egestas eget quam.</p>
              <b-button pill variant="outline-primary" href="#">View details &raquo;</b-button>
              </div>
            </div>
          </div>
        </b-col>
      </b-row>
    </b-container>

    <div class="d-md-flex flex-md-equal w-100 p-3">
      <b-col md class="p-3">
        <div class="card border-0">
          <img src="https://source.unsplash.com/yWwob8kwOCk/950x650" class="rounded img-fluid" alt="">
          <div class="card border-0">
            <div class="card-body mt-n13 bg-white mr-6 rounded-right p-4">
              <h2 class="mb-3">Heading 1</h2>
              <p>Donec sed odio dui. Etiam porta sem malesuada magna mollis euismod.</p>
              <b-button pill variant="outline-primary" href="#">View details &raquo;</b-button>
            </div>
          </div>
        </div>
      </b-col>
      <b-col md class="p-3">
        <div class="card border-0">
          <img src="https://source.unsplash.com/wawEfYdpkag/950x650" class="rounded img-fluid" alt="">
          <div class="card border-0">
            <div class="card-body mt-n13 bg-white mr-6 rounded-right p-4">
            <h2 class="mb-3">Heading 2</h2>
            <p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit.</p>
            <b-button pill variant="outline-primary" href="#">View details &raquo;</b-button>
            </div>
          </div>
        </div>
      </b-col>
    </div>

    <b-container class="py-3">
      <b-row>
        <b-col md class="p-3">
          <div class="card border-0">
            <img src="https://source.unsplash.com/yWwob8kwOCk/950x650" class="rounded img-fluid" alt="">
            <div class="card border-0">
              <div class="card-body mt-n13 bg-white mr-6 rounded-right p-4">
                <h2 class="mb-3">Heading 1</h2>
                <p>Donec sed odio dui. Etiam porta sem malesuada magna mollis euismod.</p>
                <b-button pill variant="outline-primary" href="#">View details &raquo;</b-button>
              </div>
            </div>
          </div>
        </b-col>
        <b-col md class="p-3">
          <div class="card border-0">
            <img src="https://source.unsplash.com/wawEfYdpkag/950x650" class="rounded img-fluid" alt="">
            <div class="card border-0">
              <div class="card-body mt-n13 bg-white mr-6 rounded-right p-4">
              <h2 class="mb-3">Heading 2</h2>
              <p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit.</p>
              <b-button pill variant="outline-primary" href="#">View details &raquo;</b-button>
              </div>
            </div>
          </div>
        </b-col>
      </b-row>
    </b-container>

    <div class="d-md-flex flex-md-equal w-100 p-3">
      <b-col md class="p-3">
        <div class="card border-0">
          <img src="https://source.unsplash.com/dqRdtm2spBk/1900x600" class="rounded img-fluid" alt="">
          <div class="card border-0">
            <div class="card-body mt-n13 bg-white mr-6 rounded-right p-4 position-relative">
              <h2 class="display-title display-3 text-white text-uppercase">Do what is great</h2>
              <b-container>
                <b-row>
                  <b-col md class="p-4">
                    <h3 class="h4 mb-3">title card</h3>
                    <p class="mb-3">Lorem ipsum dolor, sit amet consectetur adipisicing elit. Modi, quod pariatur in ex adipisci eaque minus natus dolores voluptatibus dicta eos, sequi dolore fuga maiores ipsam totam! Necessitatibus, eos sapiente! Error enim nesciunt architecto facere voluptate ad maiores corrupti, hic accusantium quos repellendus impedit qui aspernatur tempore harum. Doloribus, necessitatibus magnam? Quidem exercitationem.</p>
                    <b-button pill variant="outline-primary" href="#">View details &raquo;</b-button>
                  </b-col>
                  <b-col md class="p-4">
                    <h3 class="h4 mb-3">title card</h3>
                    <p class="mb-3">Lorem ipsum dolor sit amet consectetur adipisicing elit. Cum eligendi tempore maxime? Laborum optio illum harum debitis cum adipisci minus itaque veniam eos blanditiis iure dolore praesentium dicta dolorem vel accusamus, totam doloribus voluptatem facere, rerum sed deserunt iste officia unde!</p>
                    <b-button pill variant="outline-primary" href="#">View details &raquo;</b-button>
                  </b-col>
                  <b-col md class="p-4">
                    <h3 class="h4 mb-3">title card</h3>
                    <p class="mb-3">Lorem ipsum dolor sit amet consectetur, adipisicing elit. Harum ipsa aspernatur laboriosam labore quisquam deleniti ratione maiores aperiam tenetur quidem rem inventore explicabo dolores similique placeat numquam, blanditiis illo repellat dolorum nobis nisi facilis! Et, laudantium aut. Fugiat asperiores laboriosam voluptatibus dicta perferendis dolorum non numquam saepe labore, commodi, dolor.</p>
                    <b-button pill variant="outline-primary" href="#">View details &raquo;</b-button>
                  </b-col>
                </b-row>
              </b-container>
            </div>
          </div>
        </div>
      </b-col>
    </div>

    <b-container>
      <b-row>      
        <b-col md class="p-3">
          <div class="card border-0">
            <img src="https://source.unsplash.com/dqRdtm2spBk/1900x600" class="rounded img-fluid" alt="">
            <div class="card border-0">
              <div class="card-body mt-n13 bg-white mr-6 rounded-right p-4 position-relative">
                <h2 class="display-title display-3 text-white text-uppercase">Do what is great</h2>
                <b-container>
                  <b-row>
                    <b-col md class="p-4">
                      <h3 class="h4 mb-3">title card</h3>
                      <p class="mb-3">Lorem ipsum dolor, sit amet consectetur adipisicing elit. Modi, quod pariatur in ex adipisci eaque minus natus dolores voluptatibus dicta eos, sequi dolore fuga maiores ipsam totam! Necessitatibus, eos sapiente! Error enim nesciunt architecto facere voluptate ad maiores corrupti, hic accusantium quos repellendus impedit qui aspernatur tempore harum. Doloribus, necessitatibus magnam? Quidem exercitationem.</p>
                      <b-button pill variant="outline-primary" href="#">View details &raquo;</b-button>
                    </b-col>
                    <b-col md class="p-4">
                      <h3 class="h4 mb-3">title card</h3>
                      <p class="mb-3">Lorem ipsum dolor sit amet consectetur adipisicing elit. Cum eligendi tempore maxime? Laborum optio illum harum debitis cum adipisci minus itaque veniam eos blanditiis iure dolore praesentium dicta dolorem vel accusamus, totam doloribus voluptatem facere, rerum sed deserunt iste officia unde!</p>
                      <b-button pill variant="outline-primary" href="#">View details &raquo;</b-button>
                    </b-col>
                    <b-col md class="p-4">
                      <h3 class="h4 mb-3">title card</h3>
                      <p class="mb-3">Lorem ipsum dolor sit amet consectetur, adipisicing elit. Harum ipsa aspernatur laboriosam labore quisquam deleniti ratione maiores aperiam tenetur quidem rem inventore explicabo dolores similique placeat numquam, blanditiis illo repellat dolorum nobis nisi facilis! Et, laudantium aut. Fugiat asperiores laboriosam voluptatibus dicta perferendis dolorum non numquam saepe labore, commodi, dolor.</p>
                      <b-button pill variant="outline-primary" href="#">View details &raquo;</b-button>
                    </b-col>
                  </b-row>
                </b-container>
              </div>
            </div>
          </div>
        </b-col>
      </b-row>
    </b-container>
  </section>

  <section class="py-5 border-top">
    <b-container class="mt-4">
      <b-row>
        <div class="offset-xl-2 col-xl-8 col-md-12">
          <div class="text-center mb-5">
            <h2 class="mb-3">Master Every Area of Your Life</h2>
            <p class="lead">
              Extreme Execution will help you leverage who you are in your
              life and career.
            </p>
          </div>
        </div>
      </b-row>
    </b-container>

    <b-container class="text-center pt-4">
      <b-row>
        <b-col lg class="px-5 py-3">
          <img class="mb-5" src="../assets/img/credit-card.svg" height="100" alt="">
          <h2 class="mb-3">Heading 1</h2>
          <p>Donec sed odio dui. Etiam porta sem malesuada magna mollis euismod. Nullam id dolor id nibh ultricies vehicula ut id elit. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Praesent commodo cursus magna.</p>
          <p><b-button pill variant="outline-secondary" href="#" role="button">View details &raquo;</b-button></p>
        </b-col>
        <b-col lg class="px-5 py-3">
          <img class="mb-5" src="../assets/img/internet.svg" height="100" alt="">
          <h2 class="mb-3">Heading 2</h2>
          <p>Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Cras mattis consectetur purus sit amet fermentum. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh.</p>
          <p><b-button pill variant="outline-secondary" href="#" role="button">View details &raquo;</b-button></p>
        </b-col>
        <b-col lg class="px-5 py-3">
          <img class="mb-5" src="../assets/img/accounting.svg" height="100" alt="">
          <h2 class="mb-3">Heading 3</h2>
          <p>Donec sed odio dui. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Vestibulum id ligula porta felis euismod semper. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.</p>
          <p><b-button pill variant="outline-secondary" href="#" role="button">View details &raquo;</b-button></p>
        </b-col>
      </b-row>
    </b-container>
  </section>

  <section class="section-punny_light position-relative overflow-hidden p-3 p-md-5 text-center bg-light">
    <div class="col-md-6 p-lg-5 mx-auto my-5">
      <h1 class="display-4">Punny headline light</h1>
      <p class="lead font-weight-normal mb-4">And an even wittier subheading to boot. Jumpstart your marketing efforts with this example based on Apple???s marketing pages.</p>
      <p class="lead font-weight-normal mb-4">And an even wittier subheading to boot. Jumpstart your marketing efforts with this example based on Apple???s marketing pages.</p>
      <b-button pill size="lg" variant="outline-secondary" href="#">Coming soon</b-button>
    </div>
  </section>

  <section class="section-punny_dark position-relative overflow-hidden p-3 p-md-5 text-center bg-dark text-white">
    <div class="col-md-6 p-lg-5 mx-auto my-5">
      <h1 class="display-4">Punny headline dark</h1>
      <p class="lead font-weight-normal mb-4">And an even wittier subheading to boot. Jumpstart your marketing efforts with this example based on Apple???s marketing pages.</p>
      <b-button pill size="lg" variant="warning" href="#">Coming soon</b-button>
    </div>
  </section>

  <section class="section-punny_color position-relative overflow-hidden p-3 p-md-5 text-center bg-dark text-white">
    <div class="col-md-6 p-lg-5 mx-auto my-5">
      <h1 class="display-4">Punny headline color</h1>
      <p class="lead font-weight-normal mb-4">And an even wittier subheading to boot. Jumpstart your marketing efforts with this example based on Apple???s marketing pages.</p>
      <b-button pill size="lg" variant="success" href="#">Coming soon</b-button>
    </div>
  </section>

  <section class="bg-dark-radial">
    <b-container class="d-md-flex flex-md-equal px-3 px-md-5">
      <div class="col pt-3 px-3 pt-md-5 px-md-5 text-center text-white overflow-hidden">
        <div class="my-3 py-3">
          <h2 class="display-5">Another headline</h2>
          <p class="lead">And an even wittier subheading.</p>
        </div>
        <div class="block-heading-1"></div>
      </div>
      <div class="col pt-3 px-3 pt-md-5 px-md-5 text-center text-white overflow-hidden">
        <div class="my-3 p-3">
          <h2 class="display-5">Another headline</h2>
          <p class="lead">And an even wittier subheading.</p>
        </div>
        <div class="block-heading-2"></div>
      </div>
    </b-container>
  </section>

  <section class="d-md-flex flex-md-equal w-100 px-3 px-md-5 bg-light-gradient">
    <div class="col pt-3 px-3 pt-md-5 px-md-5 text-center overflow-hidden">
      <div class="my-3 p-3">
        <h2 class="display-5">Another headline</h2>
        <p class="lead">And an even wittier subheading.</p>
      </div>
      <div class="block-heading-3"></div>
    </div>
    <div class="col pt-3 px-3 pt-md-5 px-md-5 text-center overflow-hidden">
      <div class="my-3 py-3">
        <h2 class="display-5">Another headline</h2>
        <p class="lead">And an even wittier subheading.</p>
      </div>
      <div class="block-heading-4"></div>
    </div>
  </section>

<!-- 
  <div class="embed-responsive embed-responsive-map">
    <iframe class="embed-responsive embed-responsive-21by9" src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d2712.6251254878052!2d-1.3874830000000002!3d47.165195999999995!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4805e0d500fd9b8b%3A0x6dfb693cd1bd141!2sAerial%20Group!5e0!3m2!1sfr!2sfr!4v1591091020082!5m2!1sfr!2sfr" width="600" height="450" frameborder="0" style="border:0;" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe>
  </div> -->

  <!-- <section class="py-6">
    <div class="container">
      <div class="row justify-content-center">
        <div class="col-md-9 col-lg-8 col-xl-6 card shadow-lg p-6 mt-n13">
          <div class="text-center mb-4">
            <h2 class="h1">Leave a message</h2>
            <p class="lead">Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium.
            </p>
          </div>
          <form action="https://mailform.mediumra.re/leap/smtp.php" data-form-email novalidate>
            <div class="row">
              <div class="col-md-6">
                <div class="form-group">
                  <label>Your Name *</label>
                  <input name="contact-name" type="text" class="form-control" required>
                  <div class="invalid-feedback">
                    Please type your name.
                  </div>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label>Email Address *</label>
                  <input name="contact-email" type="email" placeholder="you@yoursite.com" class="form-control" required>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label>Company Name</label>
                  <input name="contact-company" type="text" class="form-control" required>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label>Contact Number</label>
                  <input name="contact-phone" type="tel" class="form-control" required>
                </div>
              </div>
              <div class="col-12">
                <div class="form-group">
                  <label>Message:</label>
                  <textarea class="form-control" name="contact-message" rows="10" placeholder="How can we help?"></textarea>
                </div>
              </div>
              <div class="col-12">
                <div data-recaptcha data-sitekey="6Lfmz4gUAAAAAEau9IKfGA7leOKYAiRhv-3WA3gq"></div>
              </div>
              <div class="col">
                <div class="d-none alert alert-success" role="alert" data-success-message>
                  Thanks, a member of our team will be in touch shortly.
                </div>
                <div class="d-none alert alert-danger" role="alert" data-error-message>
                  Please fill all fields correctly.
                </div>
                <button type="submit" class="btn btn-primary btn-loading" data-loading-text="Sending">
                  <img class="icon" src="assets/img/icons/theme/code/loading.svg" alt="loading icon" data-inject-svg />
                  <span>Send Enquiry</span>
                </button>
              </div>
            </div>
          </form>

        </div>
      </div>
    </div>
  </section> -->



  <!-- CTA
  ================================================== -->
  <section class="py-5 py-md-5 min-h-40">
    <div class="container">
      <div class="row justify-content-center">
        <div class="col-12 col-md-1- col-lg-8 text-center">
          
          <!-- Heading -->
          <h1 class="text-white">
            Stop leaving money on the table.
          </h1>

          <!-- Text -->
          <p class="font-size-lg text-white-80 mb-6 mb-md-8">
            Post your home today and start entertaining welcome guests and collecting a paycheck without ever lifting a finger.
          </p>

          <!-- Button -->
          <a href="#!" class="btn btn-pill btn-primary lift">
            Get Started <i class="fe fe-arrow-right ml-2"></i>
          </a>

        </div>
      </div> <!-- / .row -->
    </div> <!-- / .container -->
  </section>

  <!-- SHAPE
  ================================================== -->
  <div class="position-relative">
    <div class="shape shape-bottom text-light overflow-hidden">
      <svg viewBox="0 0 2880 48" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0 48h2880V0h-720C1442.5 52 720 0 720 0H0v48z" fill="currentColor"/></svg>
    </div>
  </div>

  <section class="py-6 bg-light">
    <div class="container">
      <div class="row justify-content-center mt--300">
        <div class="col-lg-6">
          <div class="card shadow bg-gradient-secondary">
            <div class="card-body p-lg-5">
              <h4 class="mb-1">Want to work with us?</h4>
              <p class="mt-0">Your project is very important to us.</p>
              <div class="form-group mt-5 input-group input-group-alternative">
                <div class="input-group-prepend">
                  <span class="input-group-text"><i class="ni ni-user-run"></i></span>
                </div>
                <input aria-describedby="addon-right addon-left" placeholder="Your name" class="form-control">
              </div>
              <div class="form-group input-group input-group-alternative">
                <div class="input-group-prepend">
                  <span class="input-group-text">
                  <i class="ni ni-email-83"></i></span>
                </div>
                <input aria-describedby="addon-right addon-left" placeholder="Email address" class="form-control">
              </div>
              <div class="form-group mb-4">
                <textarea name="name" rows="4" cols="80" placeholder="Type a message..." class="form-control form-control-alternative"></textarea>
              </div>
              <button type="button" class="btn btn-block btn-default btn-lg" round="">Send Message</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>




</layout-test>
</template>

<script>
import LayoutTest from "@/layouts/LayoutTest.vue";
// ############ IMPORT MODULES ############ -->
export default {
  components: {
    "layout-test": LayoutTest,
  },
  data(){
    return {
      // 
      slide: 0,
      sliding: null
    }
  },
  methods: {
      onSlideStart(slide) {
        this.sliding = true
      },
      onSlideEnd(slide) {
        this.sliding = false
      }
    }
};
</script>
